AurionAI Docs

Sync Contacts

Sync contacts from CS provider (Freshdesk/Zendesk). When called with tenant context (X-Tenant-ID header or JWT), syncs only that tenant. When called without tenant context (CronJob), iterates over all active tenants.

POST
/api/sync/contacts

Sync contacts from CS provider (Freshdesk/Zendesk).

When called with tenant context (X-Tenant-ID header or JWT), syncs only that tenant. When called without tenant context (CronJob), iterates over all active tenants.

Query Parameters

mode?Mode

Sync mode: 'cron' (differential) or 'full' (with reconciliation)

Default"cron"
Match^(cron|manual|full)$

Response Body

application/json

application/json

curl -X POST "https://loading/api/sync/contacts"
{
  "provider": "string",
  "results": {},
  "status": "completed"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}